> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anchorbrowser.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Session Recording

> Redirects (`302`) to a pre-signed URL for a specific session recording. This route does
not require an API key (shareable). The session must no longer be active.




## OpenAPI

````yaml /openapi.yaml get /v1/sessions/{session_id}/recordings/{recording_id}/fetch
openapi: 3.1.0
info:
  title: AnchorBrowser API
  version: 1.0.0
  description: APIs to manage all browser-related actions and configuration.
servers:
  - url: https://api.anchorbrowser.io
    description: API server
security: []
paths:
  /v1/sessions/{session_id}/recordings/{recording_id}/fetch:
    get:
      tags:
        - Session Recordings
      summary: Fetch Session Recording
      description: >
        Redirects (`302`) to a pre-signed URL for a specific session recording.
        This route does

        not require an API key (shareable). The session must no longer be
        active.
      parameters:
        - name: session_id
          in: path
          required: true
          schema:
            type: string
        - name: recording_id
          in: path
          required: true
          description: The recording ID, or `primary` for the primary recording.
          schema:
            type: string
      responses:
        '302':
          description: Redirect to the recording's pre-signed download URL.
        '400':
          description: Session is still active.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Session or recording not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: integer
            message:
              type: string

````